class AR::Events::RanProc < AR::Events::Event
  attr_accessor :proc
  def initialize params
    self.proc= params[:proc]
    super params
  end 

  #story told by default if participants don't offer any story
  def default_story
  end

  def resolve!
    #eventy stuff
    self.proc.call(self)
  end 

end
